import { getThirdUserPlatForm } from "../../api/request";
import { throttle } from "../../utils/utils";
import create from "dd-store";
create.Component({
  mixins: [],
  data: {
    $data: null,
    userInfo: {},
    relatedAppList: [],
    relatedAppPlatformList: []
  },
  props: {},
  didMount() {
    this.setData({
      userInfo: JSON.parse(getApp().globalData.userInfo)
    });
    this.getData();
  },
  didUpdate() {
    if (this.$store.data.relatedAppNeedUpdate) {
      this.$store.data.relatedAppNeedUpdate = false;
      this.update();
      this.getData();
    }
  },
  didUnmount() {},
  methods: {
    getData() {
      let data = {
        platForm: "",
        ddUserId: getApp().globalData.userid
      };
      getThirdUserPlatForm(data).then(res => {
        let relatedAppPlatformList = [];
        res.data.data.forEach(item => {
          relatedAppPlatformList.push(item.platform);
        });
        this.setData({
          relatedAppList: res.data.data,
          relatedAppPlatformList: res.data.data.map(it => it.platform)
        });
      });
    },
    preventSort() {
      return false;
    },
    toAppDetails(e) {
      dd.navigateTo({
        url: `./../appDetails/appDetails?userName=${e.target.dataset.name}&platform=${e.target.dataset.platform}`
      });
    }
  }
});
